# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/rtc/ti,k3-rtc.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments K3 Real Time Clock

maintainers:
  - Nishanth Menon <nm@ti.com>

description: |
  This RTC appears in the AM62x family of SoCs.

allOf:
  - $ref: "rtc.yaml#"

properties:
  compatible:
    enum:
      - ti,am62-rtc

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    items:
      - description: VBUS Interface clock
      - description: 32k Clock source (external or internal).

  clock-names:
    items:
      - const: vbus
      - const: osc32k

  power-domains:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    rtc@2b1f0000 {
        compatible = "ti,am62-rtc";
        reg = <0x2b1f0000 0x100>;
        interrupts = <GIC_SPI 100 IRQ_TYPE_LEVEL_HIGH>;
        power-domains = <&bar 0>;
        clocks = <&foo 0>, <&foo 1>;
        clock-names = "vbus", "osc32k";
        wakeup-source;
    };
